% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/extractors.R
\name{maxnObs}
\alias{maxnObs}
\title{Maximum Number of Observations per Person}
\usage{
maxnObs(gpModel)
}
\arguments{
\item{gpModel}{object of class GPPM.}
}
\value{
Maximum number of observations as a numeric.
}
\description{
Extracts the maximum number of observations per person from a GPPM.
}
\examples{
\donttest{
data("demoLGCM")
lgcm <- gppm('muI+muS*t','varI+covIS*(t+t#)+varS*t*t#+(t==t#)*sigma',
        demoLGCM,'ID','y')
maxNumberObs <- maxnObs(lgcm)
}
}
\seealso{
Other functions to extract from a GPPM: \code{\link{SE}},
  \code{\link{coef.GPPM}}, \code{\link{confint.GPPM}},
  \code{\link{covf}}, \code{\link{datas}},
  \code{\link{fitted.GPPM}}, \code{\link{getIntern}},
  \code{\link{logLik.GPPM}}, \code{\link{meanf}},
  \code{\link{nObs}}, \code{\link{nPars}},
  \code{\link{nPers}}, \code{\link{nPreds}},
  \code{\link{parEsts}}, \code{\link{pars}},
  \code{\link{preds}}, \code{\link{vcov.GPPM}}
}
